<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ota__functions" kind="group">
    <compoundname>group_ota_functions</compoundname>
    <title>OTA Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_ota_agent_start</definition>
        <argsstring>(cy_ota_network_params_t *network_params, cy_ota_agent_params_t *agent_params, cy_ota_context_ptr *ota_ptr)</argsstring>
        <name>cy_ota_agent_start</name>
        <param>
          <type><ref kindref="compound" refid="structcy__ota__network__params__t">cy_ota_network_params_t</ref> *</type>
          <declname>network_params</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__ota__agent__params__t">cy_ota_agent_params_t</ref> *</type>
          <declname>agent_params</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694">cy_ota_context_ptr</ref> *</type>
          <declname>ota_ptr</declname>
        </param>
        <briefdescription>
<para>Start OTA Background Agent. </para>        </briefdescription>
        <detaileddescription>
<para>Start thread to monitor for OTA updates. This consumes resources until <ref kindref="member" refid="group__group__ota__functions_1ga14b8129ff45b6af3bd71235676a220be">cy_ota_agent_stop()</ref> is called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">network_params</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to <ref kindref="compound" refid="structcy__ota__network__params__t">cy_ota_network_params_t</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">agent_params</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to <ref kindref="compound" refid="structcy__ota__agent__params__t">cy_ota_agent_params_t</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">ota_ptr</parametername>
</parameternamelist>
<parameterdescription>
<para>Handle to store OTA Agent context structure pointer Which is used for other OTA calls.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS CY_RSLT_OTA_ERROR_GENERAL </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="828" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1ga14b8129ff45b6af3bd71235676a220be" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_ota_agent_stop</definition>
        <argsstring>(cy_ota_context_ptr *ota_ptr)</argsstring>
        <name>cy_ota_agent_stop</name>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694">cy_ota_context_ptr</ref> *</type>
          <declname>ota_ptr</declname>
        </param>
        <briefdescription>
<para>Stop OTA Background Agent. </para>        </briefdescription>
        <detaileddescription>
<para>Stop thread to monitor OTA updates and release resources.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ota_ptr</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to OTA Agent context storage returned from <ref kindref="member" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3">cy_ota_agent_start()</ref>;</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS CY_RSLT_OTA_ERROR_GENERAL </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="840" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1ga749e2780daeb68e40d47ca8c90a6922c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_ota_get_update_now</definition>
        <argsstring>(cy_ota_context_ptr ota_ptr)</argsstring>
        <name>cy_ota_get_update_now</name>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694">cy_ota_context_ptr</ref></type>
          <declname>ota_ptr</declname>
        </param>
        <briefdescription>
<para>Check for OTA update availability and download update now. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ota_ptr</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to OTA Agent context storage returned from <ref kindref="member" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3">cy_ota_agent_start()</ref>;</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS CY_RSLT_OTA_ERROR_BADARG CY_RSLT_OTA_ERROR_GENERAL CY_RSLT_OTA_ERROR_ALREADY_STARTED </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="852" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1gaedc8ac983fc4781d0a4ca3e5dc113ec5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_ota_validated</definition>
        <argsstring>(void)</argsstring>
        <name>cy_ota_validated</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Application calls to validate the OTA Image. </para>        </briefdescription>
        <detaileddescription>
<para>If validate_after_reboot is set to 1 in OTA start parameters, this must be called after MCUBoot copies Secondary slot to Primary slot and updated Application is running.</para><para><simplesect kind="return"><para>CY_RSLT_SUCCESS CY_RSLT_OTA_ERROR_GENERAL </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="864" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1gacc6737f1ddf83bc6e8918bcc16695b30" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_ota_get_state</definition>
        <argsstring>(cy_ota_context_ptr ota_ptr, cy_ota_agent_state_t *state)</argsstring>
        <name>cy_ota_get_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1ga50b8b1ec191a1d5f9a8fcd3472811694">cy_ota_context_ptr</ref></type>
          <declname>ota_ptr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f">cy_ota_agent_state_t</ref> *</type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Get OTA Agent State. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">ota_ptr</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to OTA Agent context returned from <ref kindref="member" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3">cy_ota_agent_start()</ref>; </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">state</parametername>
</parameternamelist>
<parameterdescription>
<para>Current OTA State</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f">cy_ota_agent_state_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="874" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1ga7149423078fe0b9d401bddc1d0e808d1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_ota_get_last_error</definition>
        <argsstring>(void)</argsstring>
        <name>cy_ota_get_last_error</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Get Last OTA Error. </para>        </briefdescription>
        <detaileddescription>
<para>The last error value is persistent, and can be queried after <ref kindref="member" refid="group__group__ota__functions_1ga14b8129ff45b6af3bd71235676a220be">cy_ota_agent_stop()</ref>.</para><para><simplesect kind="return"><para>cy_rslt_t </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="883" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1gaffc74d5bb4dd74ede1031222b9efcd9b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>const char *</type>
        <definition>const char* cy_ota_get_error_string</definition>
        <argsstring>(cy_rslt_t error)</argsstring>
        <name>cy_ota_get_error_string</name>
        <param>
          <type>cy_rslt_t</type>
          <declname>error</declname>
        </param>
        <briefdescription>
<para>Get String representation of error. </para>        </briefdescription>
        <detaileddescription>
<para>This can be called at any time.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">error</parametername>
</parameternamelist>
<parameterdescription>
<para>value returned from <ref kindref="member" refid="group__group__ota__functions_1ga7149423078fe0b9d401bddc1d0e808d1">cy_ota_get_last_error()</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>pointer to a string </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="894" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1gafcd8ac0ada4557076da8070d11101f95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>const char *</type>
        <definition>const char* cy_ota_get_state_string</definition>
        <argsstring>(cy_ota_agent_state_t state)</argsstring>
        <name>cy_ota_get_state_string</name>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f">cy_ota_agent_state_t</ref></type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Get String Representation of OTA state. </para>        </briefdescription>
        <detaileddescription>
<para>This can be called at any time.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">state</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__ota__typedefs_1gab1539ebc23219f1ca64318286e9d375f">cy_ota_agent_state_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>pointer to string </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="905" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ota__functions_1ga1f3276614aeca5a8d7c176f171024d66" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>const char *</type>
        <definition>const char* cy_ota_get_callback_reason_string</definition>
        <argsstring>(cy_ota_cb_reason_t reason)</argsstring>
        <name>cy_ota_get_callback_reason_string</name>
        <param>
          <type><ref kindref="member" refid="group__group__ota__typedefs_1gad852fa8cdb0431df709ccf12bb37cd60">cy_ota_cb_reason_t</ref></type>
          <declname>reason</declname>
        </param>
        <briefdescription>
<para>Get String representation for callback reason. </para>        </briefdescription>
        <detaileddescription>
<para>This can be called at any time.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">reason</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__ota__typedefs_1gad852fa8cdb0431df709ccf12bb37cd60">cy_ota_cb_reason_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>pointer to string </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="916" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Functions to start/stop and query the OTA Agent. </para>    </briefdescription>
    <detaileddescription>
<para>OTA functions for starting, stopping, and getting information about the OTA Agent.</para>    </detaileddescription>
  </compounddef>
</doxygen>